# -*- coding: utf-8; -*-
"""
Sideshow config extensions
"""

from wuttjamaican.conf import WuttaConfigExtension


class SideshowConfig(WuttaConfigExtension):
    """
    Config extension for Sideshow
    """
    key = 'sideshow'

    def configure(self, config):

        # app info
        config.setdefault(f'{config.appname}.app_title', "Sideshow")
        config.setdefault(f'{config.appname}.app_dist', "Sideshow")

        # app model
        config.setdefault(f'{config.appname}.model_spec', 'sideshow.db.model')

        # web app menu
        config.setdefault(f'{config.appname}.web.menus.handler_spec',
                          'sideshow.web.menus:SideshowMenuHandler')

        # web app libcache
        #config.setdefault('wuttaweb.static_libcache.module', 'sideshow.web.static')
